Page MenuHomePhabricator

Add wd_item to the database
Closed, ResolvedPublic

Description

Every source table and the monuments_all tabe should have a field wd_item field of type int to store the relevant wikidata item id.

The harvester bot should pick it up :

{
    'source' : u'wd_item',
    'dest' : u'wd_item',
    'type' : 'int',
},

It should be aggregated in the main table and should be visible in the api.


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:53 AM
bzimport set Reference to bz53808.
bzimport added a subscriber: Unknown Object (MLST).
Restricted Application added subscribers: JeanFred, Aklapper. · View Herald TranscriptSep 4 2015, 2:29 PM

Change 295594 had a related patch set uploaded (by Lokal Profil):
Add wikidata connection to monuments_all and Qid tester to updater

https://gerrit.wikimedia.org/r/295594

In the patch I didn't force the value to be int. Instead I added a checker to ensure any value is of the form "Q<int>".

Change 295594 merged by jenkins-bot:
Add wikidata connection to monuments_all and Qid tester to updater

https://gerrit.wikimedia.org/r/295594

Mentioned in SAL [2016-06-23T14:01:37Z] <JeanFred> Deployed latest from Git: 4030533, bb95d23 (T55808), bd96bbd (T138377), 0a3247d, be9b1a9 (T134764)

Mentioned in SAL [2016-06-23T15:33:17Z] <JeanFred> Added column wd_item to monuments_all, by copying monuments_all to tmp, alter table, and rename back to avoid locks. (T55808)

JeanFred closed this task as Resolved.Jun 23 2016, 4:24 PM
JeanFred claimed this task.